Subject: bug#20871: 25.0.50; fill-single-char-nobreak-p does not recognize a single-letter word when it is preceded by an open paren

From: Eli Zaretskii <[email-masked]>
Date: Wed, 27 Apr 2016 10:20:12 +0300

> From: Marcin Borkowski <[email-masked]>
> Cc: [email-masked]
> Date: Wed, 27 Apr 2016 09:02:36 +0200
> 
> >> I see.  So you suggest that instead of patching
> >> `fill-single-char-nobreak-p' I should have provided another function,
> >> customized for Polish?
> >
> > Yes, I think so.  There's already fill-french-nobreak-p, why shouldn't
> > there be a Polish predicate?
> 
> I attach a new patch. Is it better now?

Yes, thanks.

Just one comment, for your consideration:

> +    (looking-at "[^[:alpha:]][[:alpha:]]")))

You should be aware that starting with Emacs 25.1 [:alpha:] matches a
very large class of characters, some of them having nothing in common
with those used in Polish.  So perhaps it is better to use '\cl'
instead, which will only capture Latin characters?  Just a thought --
your call.